Loading...
Searching...
No Matches
BALL::VIEW::TextEditorWidget::LineNumbers Class Reference

`#include <BALL/VIEW/WIDGETS/textEditorWidget.h>`

Inheritance diagram for BALL::VIEW::TextEditorWidget::LineNumbers:

## Public Member Functions

| LineNumbers (TextEditorWidget *editor)
QSize | sizeHint () const

## Protected Member Functions

void | paintEvent (QPaintEvent *event)

## Detailed Description

Definition at line 45 of file textEditorWidget.h.

## Constructor & Destructor Documentation

## LineNumbers()

BALL::VIEW::TextEditorWidget::LineNumbers::LineNumbers | ( | TextEditorWidget * | editor | ) |

## Member Function Documentation

## paintEvent()

void BALL::VIEW::TextEditorWidget::LineNumbers::paintEvent | ( | QPaintEvent * | event | ) |

protected

## sizeHint()

QSize BALL::VIEW::TextEditorWidget::LineNumbers::sizeHint | ( |  | ) | const